Child pages
  • Black Duck Vulnerability Installer Plugin

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Migrated to Confluence 5.3

Were you looking for the Hub Jenkins Plugin? Check out : https://github.com/blackducksoftware/hub-jenkins

Note
titleDeprecated: This plugin has been removed from the Jenkins Update Center

This will not work with update-sites-manager 2.0.0. It will cause an error during the Jenkins startup, and the server will not work until you either remove the blackduck-installer plugin or downgrade the update-sites-manager plugin to 1.0.1

Archived versions of this plugin remain available for download.
This plugin is no longer supported and should not be used.

Wiki Markup
{jenkins-plugin-info:blackduck-installer}

Excerpt

Allows users to add the Black Duck Update Site and install the Black Duck Vulnerability Plugin

Table of Contents

Table of Contents

Overview

As a Jenkins user, this plugin enables you to:

  • Add the Black Duck Update Site to list of Jenkins Update Sites
  • Install the Black Duck Vulnerability Plugin that provides a report highlighting known vulnerabilities reported against the open source software found in the build

Prerequisites

  • Jenkins LTS 1.580.3 or higher
  • Ensure the Jenkins Update Sites Manager plugin is installed

Usage

  1. Install the plugin and restart the Jenkins instance

Upon Jenkins restart, the plugin should :

  • Adds the Black Duck Update site to the list of Update Sites in Jenkins
  • Adds the Black Duck CA certificate file to the directory ${JENKINS_HOME}/update-center-rootCAs/
  • Install Black Duck Vulnerability Plugin and its dependencies

Trouble Shooting